MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Functions

# src/dbUtils.h File Reference

Go to the source code of this file.

## Functions
int | printAllIn (struct client *client, const char *name)
int | addAllIn (const char *name)
int | addAllInToStoredPlaylist (const char *name, const char *utf8file)
int | printInfoForAllIn (struct client *client, const char *name)
int | searchForSongsIn (struct client *client, const char *name, const struct locate_item_list *criteria)
int | findSongsIn (struct client *client, const char *name, const struct locate_item_list *criteria)
int | findAddIn (struct client *client, const char *name, const struct locate_item_list *criteria)
int | searchStatsForSongsIn (struct client *client, const char *name, const struct locate_item_list *criteria)
unsigned long | sumSongTimesIn (const char *name)
int | listAllUniqueTags (struct client *client, int type, const struct locate_item_list *criteria)

## Function Documentation

int addAllIn | ( | const char * | name | ) |

int addAllInToStoredPlaylist | ( | const char * | name,
|  | const char * | utf8file
| ) |  |

int findAddIn | ( | struct client * | client,
|  | const char * | name,
|  | const struct locate_item_list * | criteria
| ) |  |

int findSongsIn | ( | struct client * | client,
|  | const char * | name,
|  | const struct locate_item_list * | criteria
| ) |  |

int listAllUniqueTags | ( | struct client * | client,
|  | int | type,
|  | const struct locate_item_list * | criteria
| ) |  |

int printAllIn | ( | struct client * | client,
|  | const char * | name
| ) |  |

int printInfoForAllIn | ( | struct client * | client,
|  | const char * | name
| ) |  |

int searchForSongsIn | ( | struct client * | client,
|  | const char * | name,
|  | const struct locate_item_list * | criteria
| ) |  |

int searchStatsForSongsIn | ( | struct client * | client,
|  | const char * | name,
|  | const struct locate_item_list * | criteria
| ) |  |

unsigned long sumSongTimesIn | ( | const char * | name | ) |